Subject: RE: [Sip] Open Issue #130: CANCEL vs. BYE

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Thu, 20 Sep 2001 06:17:45 -0700

Right, so the UAC should not be canceling the forked call leg because it
can't play multiple early media streams [which means the UAC is overriding
proxy routing decisions] but rather the UAC should be saying "I don't
want/need your early media". [for instance, through JR's early media draft]

It seems like a UAC should only cancel a forked early call leg when it knows
that it is impossible to communicate with that endpoint. Hence I am not
saying that the mechanism is bad but it should be carefully described in
what circumstances it should be used (since it is easy to abuse it).

Robert.

> 
> Hi,
> 
> A correction to my own mail. Seemed like I messed up who the "callee"
> is... :)
> 
> >>However the callee doesn't actually know that the call was 
> forked and that local ringback would
> >>therefore be advisable to increase the likely hood of the 
> forked branch not
> >>being "rejected" by the UA.
> >The callee DOES know about the forking, because it starts receiving
> >provisional responses with different tags.
> > 
> >No, tags are NOT mandatory in provisional responses, but without them
> >you can't send a tagged BYE either, so...
> 
> So, the callee is the one who sends the provisional responses, ie the
> UAS, right? :)
> 
> Anyway, I think it is a network architecture/UA configuration issue
> if/how/when the UAS shall send local ringback, and when it shall not.
> Also, IF we will define some kind of early media negotiation mechanism
> the UAS has to ask for permission for early media anyway.
> 
> And, the fact is: nobody wants to listen to early media which is a mix
> of RTP streams from 10 different servers...
> 
> Another way would be to have an indicator if early media is wanted or
> not. The UAC can insert it for the whole session in the INVITE, but it
> could also be inserted by the forking proxy, if it has some kind of
> information about the different servers. Maybe it should also be
> possible for the UAC to indicate that to a specific UAS after the
> provisional response indicating early media has arrived. 
> Something like:
> "hey, I will not terminate your leg, but I have other legs too, so
> please don't send any early media". Or something like that...
> 
> Regards,
> 
> Christer Holmberg
> Ericsson Finland
> 
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 20 Sep 2001 16:41:40 +0300

Hi,

>want/need your early media". [for instance, through JR's early media draft]

Yes, by using the early media draft (or something similar), OR by using
some header in the INVITE/PRACK...

And, like I said in an earlier mail, early media is probably not the
most critical reason for the tagged BYE, but it is one case where it can
be used.
 
>what circumstances it should be used (since it is easy to abuse it).

Yup.

Regards,

Christer Holmberg
Ericsson Finland